SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002675: QOS doesn't work - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002675Endian FirewallQoSpublic2010-02-11 14:242010-09-20 17:24
ReporterEagle 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version2.3 
Target VersionfutureFixed in Version 
Summary0002675: QOS doesn't work
DescriptionI've configured main uplink for QOS 2000kbit/s Up/Down and enabled it.
the Firewall creates 4 Classes
i created a new class called 'technic' (without ')
QOS Device: UPLINK:main
name: technic
reserved: 10%
limit: 10%
Priority: 1

net i created a rule:

Source: <ANY>
Class: technic
Destination Network/IP: (none) I leaved it blank
Service: <ANY>
Protocol: <ANY>
TOS: <ANY>

I've applied the rule.
Tested...... 2000kbit/s UP/Down :-(
This Rule does not work!

I've tried to restart qos manualy:

root@FIREWALL:~ # restartqos
2010-02-11 15:03:00,235 - restartqos.py[13487] - ERROR - Migration has to be fixed!!!
2010-02-11 15:03:00,236 - restartqos.py[13487] - INFO - Loading configuration
2010-02-11 15:03:00,264 - restartqos.py[13487] - ERROR - RETURNCODE [iptables -t mangle -N QOS 2> /dev/null] 1
2010-02-11 15:03:00,335 - restartqos.py[13487] - INFO - Setting QOS of device: eth1 [UPLOAD=2000, DOWNLOAD=2000]
2010-02-11 15:03:00,384 - restartqos.py[13487] - ERROR - RETURNCODE [iptables -t mangle -N QOS_ETH1 2> /dev/null] 1
2010-02-11 15:03:00,427 - restartqos.py[13487] - ERROR - RETURNCODE [iptables -t mangle -D QOS -o eth1 -j QOS_ETH1 2> /dev/null] 1
Skipping invalid rule: {'inputdev': '', 'protocol': '', 'src': '', 'tos': '', 'dst': '', 'dscp_class': '', 'dscp': '', 'classname': 'class0003', 'mac': '', 'dport': '', 'sport': ''}

.....
ok, a the rule was skipped

I've deleted the rule.
I've created a new rule

Source: IP
IP: 192.168.123.30 (IP of my PC in GREEN Subnet)
Class: technic
Destination Network/IP: (none) I leaved it blank
Service: <ANY>
Protocol: <ANY>
TOS: <ANY>

I've applied the rule.
Tested......near 2000kbit/s UP/Down :-(
This Rule also does not work!

I've tried to restart qos manualy:

root@FIREWALL:~ # restartqos
2010-02-11 15:03:00,235 - restartqos.py[13487] - ERROR - Migration has to be fixed!!!
2010-02-11 15:03:00,236 - restartqos.py[13487] - INFO - Loading configuration
2010-02-11 15:03:00,264 - restartqos.py[13487] - ERROR - RETURNCODE [iptables -t mangle -N QOS 2> /dev/null] 1
2010-02-11 15:03:00,335 - restartqos.py[13487] - INFO - Setting QOS of device: eth1 [UPLOAD=2000, DOWNLOAD=2000]
2010-02-11 15:03:00,384 - restartqos.py[13487] - ERROR - RETURNCODE [iptables -t mangle -N QOS_ETH1 2> /dev/null] 1
2010-02-11 15:03:00,427 - restartqos.py[13487] - ERROR - RETURNCODE [iptables -t mangle -D QOS -o eth1 -j QOS_ETH1 2> /dev/null] 1


What's gonig wrong?
tryed an other endian 2.3, same result
TagsNo tags attached.
Attached Files

- Relationships
child of 0003045confirmedpeter-endian TODO: QoS rework - QoS collecting ticket 

-  Notes
(0003765)
Eagle (reporter)
2010-02-11 14:47

4 Info:
I wanted to reduce the up & download for some PCs in the network....

- Issue History
Date Modified Username Field Change
2010-02-11 14:24 Eagle New Issue
2010-02-11 14:47 Eagle Note Added: 0003765
2010-03-12 14:46 ra-endian Assigned To => peter-endian
2010-03-12 14:46 ra-endian Status new => acknowledged
2010-06-07 13:46 peter-endian Target Version => future
2010-07-05 16:39 peter-endian Relationship added child of 0003045
2010-09-20 17:24 peter-endian Category Other Services => QoS

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker